Read canvas triggers
GET /api/v1/laboratory/canvas-triggers/{id}: request fields and declared response contract.
GET/api/v1/laboratory/canvas-triggers/{id}
| Property | Value |
|---|---|
| Permission | lab.read |
| Workspace scope | required |
| Scope target | workspace |
Parameters
| Field | Type | Required | Nullable | Default |
|---|---|---|---|---|
| id | string | required | non-null | — |
Query parameters: none.
Response
200
| Field | Type | Required | Nullable | Default |
|---|---|---|---|---|
| data | object | required | non-null | — |
| data.id | string | required | non-null | — |
| data.generation | integer | required | non-null | — |
| data.status | "active" | "paused" | "revoked" | required | non-null | — |
| data.definition | object | required | non-null | — |
| data.definition.companyId | string | required | non-null | — |
| data.definition.workspaceId | string | required | non-null | — |
| data.definition.actorMemberId | string | required | non-null | — |
| data.definition.target | unknown | required | non-null | — |
| data.definition.source | unknown | required | non-null | — |
| data.lastDelivery | object | optional | non-null | — |
| data.lastDelivery.scheduledAt | string | required | non-null | — |
| data.lastDelivery.outcome | "accepted" | "expired" | required | non-null | — |
| data.lastDelivery.reason | string | optional | non-null | — |
Declared failures
| Property | Value |
|---|---|
| ACCESS_DENIED | 403 — not retryable |
| CORE_ERROR | 500 — not retryable |
| GOVERNANCE_DENIED | 403 — not retryable |
| NOT_FOUND | 404 — not retryable |
| SETUP_REQUIRED | 503 — not retryable |
| VALIDATION_ERROR | 400 — not retryable |
| VALIDATION_INPUT_ERROR | 400 — not retryable |
Readback
This method returns the current state it read.
- laboratory.canvasTriggers.read
Request example
Schematic only. Replace placeholders with real values and include all required nested fields.
GET /api/v1/laboratory/canvas-triggers/{id} HTTP/1.1
Authorization: Bearer <token>
x-merulan-workspace-id: <workspace-id>